Name:          libXaw
Version:       1.0.15
Release:       1mamba
Summary:       X.Org Xaw library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://x.org/wiki/
Source:        https://www.x.org/archive/individual/lib/libXaw-%{version}.tar.xz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXmu-devel
BuildRequires: libXpm-devel
BuildRequires: libXt-devel
BuildRequires: libuuid-devel
BuildRequires: xorgproto-devel
## AUTOBUILDREQ-END
BuildRequires: libXp-devel >= 1.0.0

%description
X.Org Xaw library.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
X.Org Xaw library.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libXaw.so.*
%{_libdir}/libXaw6.so.*
%{_libdir}/libXaw7.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_libdir}/libXaw.so
%{_libdir}/libXaw6.a
%{_libdir}/libXaw6.so
%{_libdir}/libXaw7.a
%{_libdir}/libXaw7.so
%dir %{_includedir}/X11/Xaw
%{_includedir}/X11/Xaw/*.h
%{_includedir}/X11/Xaw/Template.c
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/Xaw.3*
%{_docdir}/libXaw
%doc ChangeLog

%changelog
* Thu Mar 23 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.15-1mamba
- update to 1.0.15

* Sat Apr 03 2021 Automatic Build System <autodist@mambasoft.it> 1.0.14-1mamba
- automatic version update by autodist

* Tue Feb 09 2021 Automatic Build System <autodist@mambasoft.it> 1.0.13-1mamba
- automatic version update by autodist

* Mon Sep 09 2013 Automatic Build System <autodist@mambasoft.it> 1.0.12-1mamba
- automatic update by autodist

* Mon Jul 02 2012 Automatic Build System <autodist@mambasoft.it> 1.0.11-1mamba
- automatic version update by autodist

* Sun Apr 08 2012 Automatic Build System <autodist@mambasoft.it> 1.0.10-1mamba
- automatic version update by autodist

* Tue Jan 18 2011 Automatic Build System <autodist@mambasoft.it> 1.0.9-1mamba
- automatic update by autodist

* Tue Nov 09 2010 Automatic Build System <autodist@mambasoft.it> 1.0.8-1mamba
- automatic update by autodist

* Mon Oct 26 2009 Automatic Build System <autodist@mambasoft.it> 1.0.7-1mamba
- automatic update by autodist

* Fri Jul 10 2009 Automatic Build System <autodist@mambasoft.it> 1.0.6-1mamba
- automatic update by autodist

* Wed Jan 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.5-1mamba
- automatic update by autodist

* Mon Sep 10 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.4-1mamba
- update to 1.0.4

* Tue Jul 17 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.3-1mamba
- update to 1.0.3

* Thu Dec 21 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2-1qilnx
- package created by autospec
